package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 网络管理对象 network_manage
 * 
 * @author boman
 * @date 2025-05-07
 */
public class NetworkManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 网络ID */
    private Long networkId;

    /** 网络名称 */
    @Excel(name = "网络名称")
    private String networkName;

    /** 网卡名称 */
    @Excel(name = "网卡名称")
    private String networkCardName;

    /** 网络地址 */
    @Excel(name = "网络地址")
    private String networkIp;

    /** 子网掩码 */
    @Excel(name = "子网掩码")
    private String subnetMask;

    /** 默认网关 */
    @Excel(name = "默认网关")
    private String defaultGateway;

    /** 物理地址 */
    @Excel(name = "物理地址")
    private String physicalAddress;

    /** 分配方式 */
    @Excel(name = "分配方式")
    private String allocationScheme;

    /** 域名服务器 DNS */
    @Excel(name = "域名服务器 DNS")
    private String domainNameServer;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setNetworkId(Long networkId) 
    {
        this.networkId = networkId;
    }

    public Long getNetworkId() 
    {
        return networkId;
    }

    public void setNetworkName(String networkName) 
    {
        this.networkName = networkName;
    }

    public String getNetworkName() 
    {
        return networkName;
    }

    public void setNetworkCardName(String networkCardName) 
    {
        this.networkCardName = networkCardName;
    }

    public String getNetworkCardName() 
    {
        return networkCardName;
    }

    public void setNetworkIp(String networkIp) 
    {
        this.networkIp = networkIp;
    }

    public String getNetworkIp() 
    {
        return networkIp;
    }

    public void setSubnetMask(String subnetMask) 
    {
        this.subnetMask = subnetMask;
    }

    public String getSubnetMask() 
    {
        return subnetMask;
    }

    public void setDefaultGateway(String defaultGateway) 
    {
        this.defaultGateway = defaultGateway;
    }

    public String getDefaultGateway() 
    {
        return defaultGateway;
    }

    public void setPhysicalAddress(String physicalAddress) 
    {
        this.physicalAddress = physicalAddress;
    }

    public String getPhysicalAddress() 
    {
        return physicalAddress;
    }

    public void setAllocationScheme(String allocationScheme) 
    {
        this.allocationScheme = allocationScheme;
    }

    public String getAllocationScheme() 
    {
        return allocationScheme;
    }

    public void setDomainNameServer(String domainNameServer) 
    {
        this.domainNameServer = domainNameServer;
    }

    public String getDomainNameServer() 
    {
        return domainNameServer;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("networkId", getNetworkId())
            .append("networkName", getNetworkName())
            .append("networkCardName", getNetworkCardName())
            .append("networkIp", getNetworkIp())
            .append("subnetMask", getSubnetMask())
            .append("defaultGateway", getDefaultGateway())
            .append("physicalAddress", getPhysicalAddress())
            .append("allocationScheme", getAllocationScheme())
            .append("domainNameServer", getDomainNameServer())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
